--- title: "Get All Users" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/authentication/get-all-users/ description: "This API enables you to fetch the details of all Catalyst applications users of a particular application through Catalyst Authentication." last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Get the Details of All Users ### Description This API enables you to fetch the details of all [Catalyst applications users](https://docs.catalyst.zoho.com/en/cloud-scale/help/authentication/user-management/introduction/) of a particular application through Pagination. **Pagination** allows you to retrieve the user list in pages through an iteration of API calls. For example, if you require user records to be fetched in batches of 200 as individual pages, you must include a `start` and an `end` parameter in your request. You can set the start index as 0 using the `start` parameter, and specify the maximum number of users to be fetched as 200 using the `end` parameter. To fetch the next set of user records, you can execute another API call by setting the `start` index as 200, and specifying the number of user records in that page using the `end` parameter accordingly. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/project-user?start={start_index}&end={number_of_users} - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **start** (Numerical):
The start index to fetch the user records from
- **end** (Numerical):Number of user records to return in a single page through pagination
#### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.projects.users.READ ### Response Details The response will contain the details of all application users including their identification values such as `zuid`, `user_id`, `email_id`, and their role details. **Sample Request** ```bash curl -X GET \ https://api.catalyst.zoho.com/baas/v1/project/3000000005007/project-user?start=100&end=3 \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": [ { "zuid": 3171930121, "zaaid": 1019540153, "status": "ACTIVE", "user_id": 671930409, "user_type": "App User", "is_confirmed": true, "email_id": "ron.grisham@zylker.com", "first_name": "Ronald", "last_name": "Grisham", "created_time": "Jul 09, 2019 04:11 PM", "modified_time": "Jul 09, 2019 04:11 PM", "invited_time": "Jul 09, 2019 04:11 PM", "role_details": { "role_id": 3000000005015, "role_name": "App User" } "org_id":1019540153 "locale": "us|en_us|America/Los_Angeles" "time_zone": "America/Los_Angeles" }, { "zuid": 3171930089, "zaaid": 1019543293, "status": "ACTIVE", "user_id": 671930121, "user_type": "App User", "is_confirmed": true, "email_id": "Lucy.p@zylker.com", "first_name": "Lucy", "last_name": "Pettigrew", "created_time": "Jul 09, 2019 04:26 PM", "modified_time": "Jul 09, 2019 04:26 PM", "invited_time": "Jul 09, 2019 04:26 PM", "role_details": { "role_id": 3000000005015, "role_name": "App User" } "org_id":1019540153 "locale": "us|en_us|America/Los_Angeles" "time_zone": "America/Los_Angeles" }, { "zuid": 3171937685, "zaaid": 1019540091, "status": "ACTIVE", "user_id": 671930888, "user_type": "App User", "is_confirmed": true, "email_id": "zayn.ahmed@zylker.com", "first_name": "Zayn", "last_name": "Ahmed", "created_time": "Jul 09, 2019 04:26 PM", "modified_time": "Jul 09, 2019 04:26 PM", "invited_time": "Jul 09, 2019 04:26 PM", "role_details": { "role_id": 3000000005015, "role_name": "App User" } "org_id":1019540153 "locale": "us|en_us|America/Los_Angeles" "time_zone": "America/Los_Angeles" } ] } ``` ### SDK Documentation [Get User Details- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/authentication/get-user-details/#get-all-user-details) [Get User Details- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/authentication/get-user-details/#get-details-of-all-users) [Get User Details- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/authentication/get-user-details/#get-details-of-all-users) [Get User Details- Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/authentication/get-user-details/#get-details-of-all-users)